# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.24.0 to 0.24.1

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.26.0 to 0.26.1

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.26.1 to 0.26.2
    * marine-wasmtime-backend bumped from 0.2.0 to 0.2.1

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.26.2 to 0.26.3
    * marine-wasm-backend-traits bumped from 0.2.0 to 0.2.1
    * marine-wasmtime-backend bumped from 0.2.1 to 0.2.2

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.32.1 to 0.32.2

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.32.2 to 0.33.0

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.34.0 to 0.35.0

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.36.0 to 0.36.1

## [0.36.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.35.2...fluence-app-service-v0.36.0) (2024-04-10)


### ⚠ BREAKING CHANGES

* **versions:** enforce minor version bumps ([#430](https://github.com/fluencelabs/marine/issues/430))
* move to async execution ([#396](https://github.com/fluencelabs/marine/issues/396))

### Features

* move to async execution ([#396](https://github.com/fluencelabs/marine/issues/396)) ([13cf85b](https://github.com/fluencelabs/marine/commit/13cf85ba369f000c01d040897b366e1087560053))


### Bug Fixes

* **versions:** enforce minor version bumps ([#430](https://github.com/fluencelabs/marine/issues/430)) ([be8293b](https://github.com/fluencelabs/marine/commit/be8293bc06b0e1d28ed19403f6f3af5266aa4de5))

## [0.35.2](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.35.1...fluence-app-service-v0.35.2) (2024-03-27)


### Features

* **deps:** reexport types from toml crate, so users don't have to depend on it ([#427](https://github.com/fluencelabs/marine/issues/427)) ([ee39ce0](https://github.com/fluencelabs/marine/commit/ee39ce07bcab85f92d1978e00e244e19577a6b01))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.36.1 to 0.36.2

## [0.35.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.34.0...fluence-app-service-v0.35.0) (2024-02-22)


### ⚠ BREAKING CHANGES

* rework wasi mapped dirs handing, relax restrictions ([#421](https://github.com/fluencelabs/marine/issues/421))

### Features

* rework wasi mapped dirs handing, relax restrictions ([#421](https://github.com/fluencelabs/marine/issues/421)) ([f54ca71](https://github.com/fluencelabs/marine/commit/f54ca715a362b51ca269c3882a0337b8d4390c3d))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.35.0 to 0.36.0
    * marine-wasm-backend-traits bumped from 0.5.1 to 0.6.0
    * marine-wasmtime-backend bumped from 0.5.1 to 0.6.0

## [0.33.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.32.0...fluence-app-service-v0.33.0) (2024-02-20)


### ⚠ BREAKING CHANGES

* support particle parameters in CallParameters (__marine_host_api_v2) ([#417](https://github.com/fluencelabs/marine/issues/417))

### Features

* support particle parameters in CallParameters (__marine_host_api_v2) ([#417](https://github.com/fluencelabs/marine/issues/417)) ([220c028](https://github.com/fluencelabs/marine/commit/220c02804567ef1c00ac8e02e08d4bbadd97bfd3))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.33.0 to 0.34.0

## [0.31.1](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.31.0...fluence-app-service-v0.31.1) (2024-01-07)


### Bug Fixes

* **docs:** add correct repository link for every published crate ([#403](https://github.com/fluencelabs/marine/issues/403)) ([ebb0bcb](https://github.com/fluencelabs/marine/commit/ebb0bcb1d15d37e8b5c10096ce42171a87abe0fa))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.32.0 to 0.32.1
    * marine-min-it-version bumped from 0.3.1 to 0.3.2
    * marine-wasm-backend-traits bumped from 0.5.0 to 0.5.1
    * marine-wasmtime-backend bumped from 0.5.0 to 0.5.1

## [0.31.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.30.0...fluence-app-service-v0.31.0) (2023-12-14)


### ⚠ BREAKING CHANGES

* **versions:** enforce minor version bumps ([#400](https://github.com/fluencelabs/marine/issues/400))

### Bug Fixes

* **versions:** enforce minor version bumps ([#400](https://github.com/fluencelabs/marine/issues/400)) ([597ef4f](https://github.com/fluencelabs/marine/commit/597ef4f80d4be0170e8d575da1181647c284fe6c))

## [0.30.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.29.0...fluence-app-service-v0.30.0) (2023-11-07)


### ⚠ BREAKING CHANGES

* **versions:** enforce minor version bumps ([#397](https://github.com/fluencelabs/marine/issues/397))

### Features

* **deps:** update rust crate log to 0.4.20 ([8a6035f](https://github.com/fluencelabs/marine/commit/8a6035f2f1f9d81895926dd8e612542570c5617f))
* **deps:** update rust crate serde_json to 1.0.107 ([0c1d378](https://github.com/fluencelabs/marine/commit/0c1d3780b04da3a63d7a59469f91bc056f3a56e7))


### Bug Fixes

* **versions:** enforce minor version bumps ([#397](https://github.com/fluencelabs/marine/issues/397)) ([8c217c7](https://github.com/fluencelabs/marine/commit/8c217c7c3d367f6dcb6abeea0b54de88dbd17be5))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-min-it-version bumped from 0.3.0 to 0.3.1
    * marine-wasmtime-backend bumped from 0.3.0 to 0.4.0

## [0.29.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.28.0...fluence-app-service-v0.29.0) (2023-09-13)


### ⚠ BREAKING CHANGES

* **deps:** update marine-rs-sdk-to 0.10.0 ([#364](https://github.com/fluencelabs/marine/issues/364))

### Features

* **deps:** update marine-rs-sdk-to 0.10.0 ([#364](https://github.com/fluencelabs/marine/issues/364)) ([036c334](https://github.com/fluencelabs/marine/commit/036c3348e3361e3a39eb79fb16641ef4bbff1f6c))

## [0.28.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.27.0...fluence-app-service-v0.28.0) (2023-08-09)


### ⚠ BREAKING CHANGES

* **versions:** enforce minor version bump on minor dependency update ([#362](https://github.com/fluencelabs/marine/issues/362))

### Bug Fixes

* **versions:** enforce minor version bump on minor dependency update ([#362](https://github.com/fluencelabs/marine/issues/362)) ([bf8e2e9](https://github.com/fluencelabs/marine/commit/bf8e2e91141c216b1a8a1db572a01f921c77f543))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.28.0 to 0.29.0

## [0.27.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.26.0...fluence-app-service-v0.27.0) (2023-08-04)


### ⚠ BREAKING CHANGES

* update versions to comply with semver ([#357](https://github.com/fluencelabs/marine/issues/357))

### Bug Fixes

* update versions to comply with semver ([#357](https://github.com/fluencelabs/marine/issues/357)) ([71e138d](https://github.com/fluencelabs/marine/commit/71e138dce31c2896bcd7b0657c3122c4b7f6402b))

## [0.26.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.25.3...fluence-app-service-v0.26.0) (2023-07-25)


### ⚠ BREAKING CHANGES

* **wasm-backend, app-service:** use String for wasi env vars + require Clone for Function trait   ([#333](https://github.com/fluencelabs/marine/issues/333))

### Features

* **wasm-backend, app-service:** use String for wasi env vars + require Clone for Function trait   ([#333](https://github.com/fluencelabs/marine/issues/333)) ([aeae703](https://github.com/fluencelabs/marine/commit/aeae703229f5f9410429390fe2e72d6084527f14))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.26.3 to 0.27.0
    * marine-wasm-backend-traits bumped from 0.2.1 to 0.3.0
    * marine-wasmtime-backend bumped from 0.2.2 to 0.3.0

## [0.25.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.24.0...fluence-app-service-v0.25.0) (2023-03-14)


### ⚠ BREAKING CHANGES

* decouple wasmer from Marine, replace it with generic backend interface ([#219](https://github.com/fluencelabs/marine/issues/219))

### Features

* decouple wasmer from Marine, replace it with generic backend interface ([#219](https://github.com/fluencelabs/marine/issues/219)) ([d3a773d](https://github.com/fluencelabs/marine/commit/d3a773df4f7ec80ab8146f68922802a4b9a450d0))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.25.0 to 0.26.0
    * marine-min-it-version bumped from 0.2.1 to 0.3.0
    * marine-wasm-backend-traits bumped from 0.1.0 to 0.2.0
    * marine-wasmtime-backend bumped from 0.1.0 to 0.2.0

## [0.24.0](https://github.com/fluencelabs/marine/compare/fluence-app-service-v0.23.1...fluence-app-service-v0.24.0) (2023-03-03)


### ⚠ BREAKING CHANGES

* **fluence-app-service:** add separate bases for temp dirs and mapped dirs ([#288](https://github.com/fluencelabs/marine/issues/288))

### Features

* **fluence-app-service:** add separate bases for temp dirs and mapped dirs ([#288](https://github.com/fluencelabs/marine/issues/288)) ([1d86899](https://github.com/fluencelabs/marine/commit/1d868992bd944eb83926c18a17a24d135c692b4c))


### Dependencies

* The following workspace dependencies were updated
  * dependencies
    * marine-runtime bumped from 0.24.1 to 0.25.0

## [Unreleased]

## [0.23.0] - 2022-12-06

### Added
- [**breaking**] prohibit going out of service_dir in app-service (#244)
